Subject: RE: [AAA-WG]: WECA 'extending' RADIUS?

From: Randy Bush <[email-masked]>
Date: Fri, 01 Jun 2001 11:28:19 -0700

> Actually, I think they are probably in need of some strong guidance
> from IETF.

thanks for volunteering!  :-)/2

randy

---

From: James Kempf <[email-masked]>
Date: Fri, 1 Jun 2001 11:24:42 -0700 (PDT)

I recently reviewed a prerelease copy of a protocol done by a non-IETF
group based on IETF protocols. The proposal was sketchy and obviously
in an early phase, but there were misassumptions about how particular IETF 
protocols work, and lack of knowledge about ongoing work in
IETF groups associated with wireless networking. I actually wondered
if the authors had even read the RFCs upon which they were basing their
work.

Considering the breadth of things going on in IETF, it is probably
not suprising that this is the case, but it does mean we are going
to have to make an effort to educate them if we want them to use
the protocols the way they were intended by the designers.

		jak

>Delivered-To: [email-masked]
>Delivered-To: [email-masked]
>Delivered-To: [email-masked]
>From: "Glen Zorn" <[email-masked]>
>To: "Randy Bush" <[email-masked]>, <[email-masked]>
>Subject: RE: [AAA-WG]: WECA 'extending' RADIUS?
>Date: Fri, 1 Jun 2001 11:13:27 -0700
>X-Priority: 3 (Normal)
>X-MSMail-Priority: Normal
>X-MimeOLE: Produced By Microsoft MimeOLE V5.00.2615.200
>Importance: Normal
>
>Randy Bush [maILTO:[email-masked]] writes:
>
>One wonders if these people have ever heard of roamops (or the IETF, for
>that matter)...but wait, wireless is _differenr_ ;-)
>
>> via bert
>>
>> Story date(time): 05/29/2001(02:18 AM)
>> Effort afoot to provide wireless LAN roaming
>> InfoWorld Daily News via DowVision
>>
>> By John Cox, Network World Fusion InfoWorld.com
>>
>> A group of leading vendors is working to iron out the technical and
>> financial details needed to let mobile wireless LAN users connect
>> to almost any wireless ISP, similar to the way cell phone users can roam
>> and use multiple carriers to complete calls.
>>
>> The Wireless Ethernet Compatibility Alliance (WECA), which includes
>> Cisco, IBM, Intel, 3Com and Microsoft, is looking to forge
>> relationships and network standards among wireless ISPs and eventually
>> carriers that will enable roaming for 802.11b wireless LAN
>> users. These standards will let vendors share subscriber usage and
>> billing data, so no matter how many different ISPs' subscribers are
>> used to make a connection from a plane, train or automobile, they only
>> get one bill from their "home" ISP.
>>
>> According to WECA members involved in the roaming project, the public
>> access wireless LANs now being deployed in airports,
>> convention centers and even restaurants will create a burgeoning web of
>> wireless LAN hot spots. These hot spots will let mobile
>> workers, with 802.11b-equipped computers, connect over a shared
>> 11M-bit/sec link to Internet-based services and corporate
>> networks. Most wide-area wireless data links today are based on much
>> slower cell phone nets.
>>
>> "What we're talking about is interservice provider roaming. As you go
>> from a corporate to a public net, you want to have user ID and
>> a password for the ISP. But you don't want to have a different one for
>> every wireless ISP net that you might traverse," said Greg
>> Homan, director of systems engineering at MobileStar Network of
>> Richardson, Texas, and a spokesman for the Wireless Internet
>> Service Provider Roaming (WISPr), a contingent within WECA that is
>> preparing the roaming proposal. "Within a corporate wireless
>> LAN, roaming among access points is handled as part of the 802.11b
>> protocol."
>>
>> The group is a mix of service providers, LAN equipment vendors and PC
>> makers, including Agere Systems, Dell, Enterasys and Nokia
>> and wireless ISPs MobileStar and Wayport. A draft will be presented at
>> the next WECA board meeting, June 13 in Helsinki, Finland.
>>
>> "Having roaming agreements is a great idea for any network," said Andy
>> Kasznay, software engineer with Northeast Utilities in Berlin,
>> Conn. The utility uses a cellular phone network to connect field workers
>> with laptops or PDAs to corporate data. "We currently don't
>> use 802.11b networks because there are only very limited locations where
>> they're available and a limited number of providers."
>>
>> Kasznay is clear on what he'd want from such a service as proposed by
>> WISPr. "One service provider with one bill," he said. "As far
>> as cost is concerned, it must be similar in cost to dial-up connections
>> from a hotel room, including the hotel fees and long-distance
>> charges for an average user session, but with faster throughput
>> [compared to dial up]."
>>
>> He's also convinced a WISPr service would be used mainly by the
>> utility's traveling executives and managers, not by electricians and
>> others in the field. "The area that our field force covers is far too
>> broad to be served by such a network," Kasznay said.
>>
>> Other issues could slow the roaming proposal. For example, the reach of
>> such a wireless LAN (WLAN) service will still be severely
>> limited compared to the cell networks because 802.11b, sometimes called
>> Wi-Fi, is a local network with a radio range of roughly 150
>> feet. The public access WLANs being created by the likes of wireless
>> ISPs MobileStar and Wayport, initially will be found in urban,
>> high-density areas. Most of these public WLANs are targeted at
>> white-collar business travelers. Blue-collar mobile workers likely will
>> have to rely on low-speed, but widespread, cell networks, such as
>> Cellular Digital Packet Data nets, for accessing data wirelessly. In
>> addition, the service providers that go forward with the WISPr roaming
>> will have to ensure they're offering a simple connection
>> process and a single bill to make such roaming a desirable service for
>> target users. And then there are security concerns.
>>
>> Specifically, WISPr is looking to define a tag that users could tack
>> onto their subscriber name. The tag will alert any WISP that the
>> user requesting service is "owned" by some other provider. Data about
>> the user and the service request will be passed to an
>> independent clearinghouse, which would coordinate transactions among
>> different parties-in this case, the WISPs.
>>
>> WISPr spokesman Homan said the arrangement will most likely use the
>> Remote Authentication Dial-In User Service (RADIUS)
>> protocol, which is widely used to coordinate authorization information
>> between remote users and an authorization server. The
>> clearinghouse would pass the user data to that user's WISP, which then
>> completes the authentication, bills the user and makes the
>> appropriate payment to the WISP serving as the user's access connection.
>> Users can then access their home WISP services and,
>> through the provider, their corporate net.
>>
>> WISPr members said the technology for sharing data between the ISPs is
>> relatively straightforward and most of the complexity
>> involves setting up standards for handling transactions between service
>> providers.
>>
>> "The billing systems are key to this," Homan said. "We're extending the
>> RADIUS protocol with specific [new] attributes, such as user
>> name, time spent online, bytes in or out, and so on. We'll also have
>> information about where the user is, through a location code, so
>> we can return site-specific services to that user."
>>
>> A WISP subscriber from the U.S., gaining access via a wireless LAN
>> service in a Swedish airport, would receive information in
>> English, for example.
>>
>> Keeping it simple will be the key to user acceptance, said Jeff Manning,
>> business development manager at Agere. "We've failed if this
>> is difficult [to use]," he says. "Everyone has a vested interest in
>> making this work."
>>
>> There will be significant investment. The overall 802.11b market is
>> expected to keep growing at a healthy rate despite the economic
>> slowdown, according to an April report by Cahners In-Stat. By 2005, the
>> firm estimates that companies will be spending nearly $6.4
>> billion on WLAN equipment. Companies such as IBM, Compaq and Dell are
>> introducing notebook PCs with built-in 802.11b radios and
>> antennas. Adapter card vendors have just started bringing out 802.11b
>> cards for handheld computers, such as those using the
>> Microsoft PocketPC software.
>>
>> The carriers are watching the project closely, according to WISPr
>> members. "There's a tremendous amount of work going on by all
>> the carriers," said Allan Scott, business manager for the Americas at
>> Agere. "They're all involved in Wi-Fi products. They're very quiet
>> about it, but they're all doing it."
>>
>> The WISPr group has no set schedule to complete its work, so it's
>> difficult to say exactly when 802.11b roaming will become reality.
>> Agere's Manning says he hopes the group will have a final document by
>> year-end. Users can expect to see roaming being
>> implemented more widely in the next two years, with the pace
>> accelerating as carriers get into the action as the number of WLAN
>> clients surges, each one representing a potential subscriber for
>> wireless data services.
>> ------- end of forwarded message -------
>>
>